Subject: Re: [mobile-ip] [Mobile IP] MN performing Address resolution on returning home.

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 12 Mar 2002 11:12:05 -0800

hi,

Looks like nobody responded to your mail. Check out this mail
that I had sent in August 2001 
http://www.atm.tut.fi/list-archive/mobile-ip/msg00400.html. 
It works.

Vijay

Srinivasan wrote:
> 
> This is regarding the mobile node performing Address Resolution on Returning Home, for determining the link-layer address of its Home agent to send a Binding Update.
> 
>  Under section 10.20 of Mobility Support in IPv6 draft <draft-ietf-mobileip-ipv6-15.txt>, it has been quoted as follows
> 
>     "If the mobile node does Neighbor Solicitation to learn the home agent's link-layer address, in this special case of the mobile node returning home, the mobile node MUST unicast the packet, and in addition set the Source Address of this Neighbor Solicitation to the unspecified address (0:0:0:0:0:0:0:0).  Since the solicitation is unicast, the home agent will be able to distinguish from a similar packet that would only be used for DAD. "
> 
> My doubts are:
>     1. Is it possible to send a neighbor soliciation using unicast address when u don't know targets link-layer address.
>     2. If MN uses unicast address of HA as destination address, and sends somehow the packet to HA. When HA sends the Neighbor advertisement, HA MAY omit the target link-layer address option. This is specified in RFC 2461.
>    Then how do I know the link-layer address of HA. Any pointers please.
> 
> Thanks in advance,
> srinivasan